/*
 * softtimer.h
 *
 * Created: 11.09.2013 11:45:27
 *  Author: Orion
 */ 


#ifndef SOFTTIMER_H_
#define SOFTTIMER_H_

#include <stdint.h>

#define MAX_NUM_TIMERS         2   //   -  

typedef struct
{
    uint16_t delay;
    uint16_t count;
    uint8_t flag:1;
} timer_t;

typedef union
{
    struct
    {
        timer_t encRd;        //    
        timer_t speed;        //     
    };
    timer_t timers[MAX_NUM_TIMERS];
} timer_u;

timer_u SoftTimer;

void SoftTimerInit();         //  
void SoftTimerInt();                 //  
void SoftTimerSet(timer_t *_timer);  //  


#endif /* SOFTTIMER_H_ */